Skip to main content
POST
Create a probationary-period
This API endpoint is in beta and may be subject to changes, including breaking changes (similarly to the legacy API endpoints), without prior notice. Read more about versioning.
OAuth 2.0 scopes

EstablishmentsThis API endpoint will filter out results based on accessible business-establishments.You may only access probationary-periods belonging to employees whose applicable business-establishments are accessible to you.

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Body

application/json

Representation of a probationary-period.

The probationary-period to create.

employment
employment-reference · object
required

Reference to an employment resource.

initialEndsOn
string<date>
required

Initial end date of the probationary-period. Required upon creation.

Pattern: ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$
extendedEndsOn
null | string<date>

End date of the probationary-period in case it was extended.

Pattern: ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$

Response

Created

The created probationary-period resource.

id
string
Minimum string length: 1
type
string
Allowed value: "probationary-period"
url
string<uri>
employment
employment-reference · object

The employment this probationary-period applies to. Cannot be modified once the probationary-period is created.

startsOn
string<date>

Read-only. Equal to the related employment start date.

Pattern: ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$
endsOn
string<date>

Read-only. End date of the probationary-period, equal to extendedEndsOn if not null, and initialEndsOn otherwise.

Pattern: ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$
initialEndsOn
string<date>

Initial end date of the probationary-period. Required upon creation.

Pattern: ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$
extendedEndsOn
null | string<date>

End date of the probationary-period in case it was extended.

Pattern: ^\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\d|3[01])$
createdAt
string<date-time>

Read-only. UTC timestamp of the moment this object was created. The UTC offset may be written Z or +00:00, with up to 7 fractional digits of a second.

Examples:

"2023-01-23T12:45:23.1234567+00:00"

"2023-01-23T12:45:23.1234Z"

lastUpdatedAt
string<date-time>

Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object. The UTC offset may be written Z or +00:00, with up to 7 fractional digits of a second.

Examples:

"2023-01-23T12:45:23.1234567+00:00"

"2023-01-23T12:45:23.1234Z"

embedded
object | null

No embedded resources on a probationary-period(s) response. Expect an empty object if embedded are requested.